Skip to main content
GET
/
api
/
v2
/
getLibraries
Get libraries
curl --request GET \
  --url https://toncenter.com/api/v2/getLibraries \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "smc.libraryResult",
    "result": [
      {
        "@type": "smc.libraryEntry",
        "hash": "<string>",
        "data": "<string>"
      }
    ]
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

libraries
#/components/schemas/TonHash[]

Hashes of libraries

Response

Returns the code of the requested shared library cells.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.